	character*60 f1,ch*5760,label*46,c6*6,object
        character*8  pp
        ip=0
        if(iargc().gt.0)ip=1
	call system('ls p*.fit > /tmp/1.dis')
	open(1,file='/tmp/1.dis',status='old')	
	write(*,2)
2	format(5x,'  Filename     Obs_date_time (UT)  Exp. '
     *  ,'Object Weight SkyAdu seeing  u3 rms'/80('-'))
	i=0
10	i=i+1
	read(1,'(a)',end=100)f1
	open(2,file=f1,status='old',access='direct',recl=5760)
	read(2,rec=1)ch
        f1(16:16)='  '
	k=index(ch,'DATE-OBS')+11
	m=index(ch,'TIME-OBS')+10
        j=index(ch,'EXPTIME')+23
        l=index(ch,'OBJECT')+9
        ch(m:m)=' '
        ch(l:l+1)='  '
	label=f1(1:16)//ch(k+2:k+9)//ch(m:m+8)//ch(j:j+4)//ch(l:l+7)
        k=index(ch,'SKYADU')+24
        j=80*29+71
        pp=ch(j:j+7)
	write(*,1)i,label,pp,ch(k-1:k+4),ch(k+80:k+85),
     c     ch(k+263:k+268),ch(k+345:k+347)
1	format(i3,': ',6a)
	goto 10
100	close (1)
	call unlink('/tmp/1.dis')
	end
